{ config, pkgs, lib, inputs, ... }:

{
  home.username = "zuma";
  home.homeDirectory = "/home/zuma";

  home.stateVersion = "24.11"; # Please read the comment before changing.

  imports = [
    ../../commons/programs/hyprland.nix
    ../../commons/programs/zsh.nix
    ../../commons/programs/neovim.nix
    ../../commons/programs/kitty.nix
    ../../commons/programs/waybar.nix
  ];

  qt = {
    enable = true;
    platformTheme = "gtk";
    style= {
      name = "Dracula";
      package = pkgs.dracula-theme;
    };
  };

  gtk = {
    enable = true;
    theme = {
      package = pkgs.dracula-theme;
      name = "Dracula";
    };

    iconTheme = {
      package = pkgs.dracula-icon-theme;
      name = "Dracula";
    };
  };

  home.pointerCursor = {
    gtk.enable = true;

    package = pkgs.bibata-cursors;
    name = "Bibata-Modern-Classic";
    size = 24;
  };

  programs.home-manager.enable = true;
}
